summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin von Gagern (MvG) <Martin.vGagern@gmx.net>2009-12-09 08:26:49 +0000
committerMartin von Gagern (MvG) <Martin.vGagern@gmx.net>2009-12-09 08:26:49 +0000
commit3bbbaf3482b2edef5ea4a83b2db45d8f789a9399 (patch)
tree61085a09f290eb684183ddb6680a260c03340a92 /dev-lang/tkgofer
parentmedia-video/huludesktop: Version bump (diff)
downloadsunrise-3bbbaf3482b2edef5ea4a83b2db45d8f789a9399.tar.gz
sunrise-3bbbaf3482b2edef5ea4a83b2db45d8f789a9399.tar.bz2
sunrise-3bbbaf3482b2edef5ea4a83b2db45d8f789a9399.zip
dev-lang/tkgofer: Added ~amd64 keyword, script now in /usr/bin
svn path=/sunrise/; revision=9682
Diffstat (limited to 'dev-lang/tkgofer')
-rw-r--r--dev-lang/tkgofer/ChangeLog5
-rw-r--r--dev-lang/tkgofer/Manifest4
-rw-r--r--dev-lang/tkgofer/tkgofer-2.1-r1.ebuild (renamed from dev-lang/tkgofer/tkgofer-2.1.ebuild)20
3 files changed, 18 insertions, 11 deletions
diff --git a/dev-lang/tkgofer/ChangeLog b/dev-lang/tkgofer/ChangeLog
index e8e163b20..345df39e0 100644
--- a/dev-lang/tkgofer/ChangeLog
+++ b/dev-lang/tkgofer/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 08 Dec 2009; Martin von Gagern (MvG) <Martin.vGagern@gmx.net>
+ -tkgofer-2.1.ebuild, +tkgofer-2.1-r1.ebuild:
+ Now using get_libdir from multilib.eclass; added ~amd64 keyword; install
+ startup script in /usr/bin
+
19 Jan 2009; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
tkgofer-2.1.ebuild:
Add suggested RDEPEND=${DEPEND}, simplify
diff --git a/dev-lang/tkgofer/Manifest b/dev-lang/tkgofer/Manifest
index 63d32aa6a..834d08071 100644
--- a/dev-lang/tkgofer/Manifest
+++ b/dev-lang/tkgofer/Manifest
@@ -1,6 +1,6 @@
AUX 2.1-gentoo-config.patch 2055 RMD160 15dff7bc437e4d1fdeac979a2d8bbdfe1d0568eb SHA1 f8b7152c4276f939e92c82d8c501f2b0eca06744 SHA256 c2424f817acbc43b0c7cc936c9474e73261978b19aa2e2c5c2f1b7600a8d0da1
AUX 2.1-include-string.patch 814 RMD160 d39e1aed704444e3bc6c4a99c92dff58f9953c92 SHA1 eb710e3cded839a6def06b57d1f69181bc21c380 SHA256 18178796a81ff697c99125ef0a19919df63d512258ba86a6078f5942f13370ac
DIST tkg2.1.tar.gz 1127597 RMD160 efb623710d11db01d4a9392afb052474c979595d SHA1 cebad772a6e1471ea88e02231189b3a743c24984 SHA256 606e58e10843ef10bbf0b515d91d992a090cd15bb5e4b48298c293407e0582a5
-EBUILD tkgofer-2.1.ebuild 1369 RMD160 ee828167e14e4144d9db5b545eece95a6a13d353 SHA1 213aa0b079d044e549eb9b5bdee743c0de716b62 SHA256 692249dd3596dcc5a123d3a467ad62b0e6680005050b111f0ea7ad4f1a576089
-MISC ChangeLog 437 RMD160 80272113548fc1c0bc4f33a146091f8a328d3bfe SHA1 7c998257a6c440cc4e9b042339aa58aff7125d1b SHA256 357f45955c7affaf6f82c9f6c943f4376c8950a55ad1d9aa9ef87582bb42bf1b
+EBUILD tkgofer-2.1-r1.ebuild 1380 RMD160 3994ee82cb150f18311c755f24e19e302a3cedd8 SHA1 bb1bc589ee2d471c6a94fb753831c1ce92ba08dc SHA256 ea03409fad7eaebf4f3eb14c6f540442b195537b5e8dcb72ba7f59bc5eebd4be
+MISC ChangeLog 653 RMD160 a52f60919c778ffa5d0ab4889d75ffc396604455 SHA1 4e8cabfe2d48c9960e02f8ba06ffaa5711ee3698 SHA256 35fef4d56cb16633052e491dc6b17343f410189d26f3b1df1b1f14bc957e71cd
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/dev-lang/tkgofer/tkgofer-2.1.ebuild b/dev-lang/tkgofer/tkgofer-2.1-r1.ebuild
index 869289549..c5078e324 100644
--- a/dev-lang/tkgofer/tkgofer-2.1.ebuild
+++ b/dev-lang/tkgofer/tkgofer-2.1-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-inherit eutils
+inherit eutils multilib
DESCRIPTION="Gofer interpreter including Tcl/Tk interface"
HOMEPAGE="http://www.informatik.uni-ulm.de/pm/projekte/TkGofer/"
@@ -10,7 +10,7 @@ SRC_URI="http://www.informatik.uni-ulm.de/pm/projekte/TkGofer/tkg${PV}.tar.gz"
LICENSE="as-is" # see ${S}/Sources/goferite.h for exact wording
SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=">=dev-lang/tcl-7.6
@@ -28,22 +28,24 @@ src_unpack() {
}
src_compile() {
+ lib="/usr/$(get_libdir)/${PN}"
rm Sources/prelude.h Sources/Makefile # ensure regeneration
./tkgofer.install || die "tkgofer.install failed"
sed -i -e"s:${S}:/usr:" \
- -e"s:\\(PreludeDir=\"\\).*\":\\1/usr/lib/${PN}/Preludes\":" \
- -e"s:\\(BinDir=\"\\).*\":\\1/usr/lib/${PN}/Bin\":" \
- -e"s:\\(TclDir=\"\\).*\":\\1/usr/lib/${PN}/Tcl\":" \
+ -e"s:\\(PreludeDir=\"\\).*\":\\1${lib}/Preludes\":" \
+ -e"s:\\(BinDir=\"\\).*\":\\1${lib}/Bin\":" \
+ -e"s:\\(TclDir=\"\\).*\":\\1${lib}/Tcl\":" \
-e"s:\\(HelpDir=\"\\).*\":\\1/usr/share/doc/${PF}\":" \
Bin/tkgofer || die "sed for tkgofer failed"
}
src_install() {
- insinto /usr/lib/${PN}/Preludes || die
+ insinto ${lib}/Preludes || die
doins Preludes/* || die
- insinto /usr/lib/${PN}/Tcl || die
+ insinto ${lib}/Tcl || die
doins Tcl/* || die
- exeinto /usr/lib/${PN}/Bin || die
- doexe Bin/{site.specific,tkgofer.exe,tkgofer} || die
+ exeinto ${lib}/Bin || die
+ doexe Bin/{site.specific,tkgofer.exe} || die
+ dobin Bin/tkgofer
dodoc readme Doc/* || die
}